        SUBROUTINE CTOSTR(S,N,I,CSTR)
C                 J.T.ARMSTRONG JUNE 1 1989  NDP FORTRAN
C
C                 READ CHARACTERS INTO AN 80-CHARACTER STRING, 
C                 INCREMENT I
C
        INTEGER*4       N,I
        INTEGER*2     S(N),BLANK
        CHARACTER*80  CSTR
C
        DATA BLANK/'  '/
C
        STRING='          '
        IF(I.GT.N) RETURN
        J=1
        DO WHILE (S(I).NE.BLANK)
             CSTR(J:) = CHAR(S(I))
             I=I+1
             J=J+1
        END DO

        RETURN
        END
